/*
 * Copyright (c) 2015 Vasa Consulting LLC
 *
 * This file is part of TYPE61CHK.
 *
 * TYPE61CHK is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TYPE61CHK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TYPE61CHK.  If not, see <http://www.gnu.org/licenses/>.
 */

/* message */
int init_suite_message(void);
int clean_suite_message(void);
void testMESSAGEDICHOTOMIZE(void);
void testMESSAGEPREPMSG(void);
void testMESSAGEREADMSGFILE(void);
void testMESSAGEREPLACETEXT(void);

/* SHA */
int init_suite_sha(void);
int clean_suite_sha(void);
void testSHAHASHUSER(void);
void testSHAINIT(void);

/* GPGME */
int init_suite_gpgme(void);
int clean_suite_gpgme(void);
void testGPGMEINITGPGME(void);
void testGPGMEENCRYPTWITHGPGME(void);
void testGPGMEFREEGPGME(void);

/* LDNS */
int init_suite_ldns(void);
int clean_suite_ldns(void);
void testLDNSFETCHOPENPGPKEY(void);
void testLDNSQUERYTEXTLDNS(void);
void testLDNSFREELDNS(void);

/* cURL */
int init_suite_curl(void);
int clean_suite_curl(void);
void testCURLINIT(void);
void testCURLADDRECPTOCURL(void);
void testCURLADDMSGTOCURL(void);

#define errlog(level, ...) ((void) 0)
